Index: code/branches/main_reto_vs05/include/Bullet.h
===================================================================
--- code/branches/main_reto_vs05/include/Bullet.h	(revision 159)
+++ code/branches/main_reto_vs05/include/Bullet.h	(revision 161)
@@ -30,22 +30,29 @@
 #define BULLET_H
 
-#include "Ogre.h"
+#include "OgrePrerequisites.h"
 
-using namespace Ogre;
-
-class Bullet
-{
-public:
-	SceneNode *mNode;
-	Entity *mEntity;
-	Vector3 mSpeed;
-
-	Bullet(SceneNode*, Entity*, Vector3);
-	~Bullet();
-
-protected:
-
-};
+#include "Orxonox_prerequisites.h"
 
 
+namespace Orxonox {
+
+  class Bullet
+  {
+  public:
+    Ogre::SceneNode *mNode;
+	  Ogre::Entity *mEntity;
+	  Ogre::Vector3 mSpeed;
+
+  protected:
+
+  public:
+	  Bullet(Ogre::SceneNode*, Ogre::Entity*, Ogre::Vector3);
+	  ~Bullet();
+
+  protected:
+
+  };
+
+}
+
 #endif /* BULLET_H */
Index: code/branches/main_reto_vs05/include/Orxonox.h
===================================================================
--- code/branches/main_reto_vs05/include/Orxonox.h	(revision 159)
+++ code/branches/main_reto_vs05/include/Orxonox.h	(revision 161)
@@ -30,28 +30,30 @@
 #define ORXONOX_H
 
-#include "Ogre.h"
-#include "OgreTimer.h"
+#include "OgrePrerequisites.h"
 
-#include "ogre_control.h"
-#include "run_manager.h"
+#include "Orxonox_prerequisites.h"
 
-class Orxonox
-{
-public:
-  Orxonox();
-  virtual ~Orxonox();
-	virtual void go();
+namespace Orxonox {
 
-protected:
-	virtual bool setup(void);
+  class Orxonox
+  {
+  public:
+    Orxonox();
+    virtual ~Orxonox();
+	  virtual void go();
 
-	virtual void destroy(void);
+  protected:
+	  virtual bool setup(void);
 
-protected:
-	OgreControl *ogre_;
-	RunManager  *runMgr_;
-	Timer       *timer_;
+	  virtual void destroy(void);
 
-};
+  protected:
+	  OgreControl *ogre_;
+	  RunManager  *runMgr_;
+	  Ogre::Timer *timer_;
+
+  };
+
+}
 
 #endif /* ORXONOX_H */
Index: code/branches/main_reto_vs05/include/ammunition_dump.h
===================================================================
--- code/branches/main_reto_vs05/include/ammunition_dump.h	(revision 161)
+++ code/branches/main_reto_vs05/include/ammunition_dump.h	(revision 161)
@@ -0,0 +1,53 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software: you can redistribute it and/or modify
+ *   it under the terms of the GNU General Public License as published by
+ *   the Free Software Foundation, either version 3 of the License, or
+ *   (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+
+#ifndef AmmunitionDump_H
+#define AmmunitionDump_H
+
+#include "OgrePrerequisites.h"
+
+#include "Orxonox_prerequisites.h"
+
+
+namespace Orxonox {
+
+  class AmmunitionDump
+  {
+  public:
+	  AmmunitionDump();
+	  ~AmmunitionDump();
+
+  protected:
+
+  protected:
+
+  };
+
+}
+
+#endif /* AmmunitionDump_H */
Index: code/branches/main_reto_vs05/include/camera_manager.h
===================================================================
--- code/branches/main_reto_vs05/include/camera_manager.h	(revision 159)
+++ code/branches/main_reto_vs05/include/camera_manager.h	(revision 161)
@@ -30,21 +30,25 @@
 #define CAMERA_MANAGER_H
 
-#include "Ogre.h"
+#include "OgrePrerequisites.h"
 
-using namespace Ogre;
-
-class CameraManager
-{
-public:
-	CameraManager(SceneManager*);
-	~CameraManager();
-
-	bool setCameraPosition(int);
-
-protected:
-	SceneManager *mSceneMgr;
-	Camera *mCamera;
-};
+#include "Orxonox_prerequisites.h"
 
 
+namespace Orxonox {
+
+  class CameraManager
+  {
+  public:
+    CameraManager(Ogre::SceneManager*);
+	  ~CameraManager();
+
+	  bool setCameraPosition(int);
+
+  protected:
+	  Ogre::SceneManager *mSceneMgr;
+	  Ogre::Camera *mCamera;
+  };
+
+}
+
 #endif /* CAMERA_MANAGER_H */
Index: code/branches/main_reto_vs05/include/ogre_control.h
===================================================================
--- code/branches/main_reto_vs05/include/ogre_control.h	(revision 159)
+++ code/branches/main_reto_vs05/include/ogre_control.h	(revision 161)
@@ -30,43 +30,42 @@
 #define OGRE_CONTROL_H
 
-#include "Ogre.h"
-#include "OgreConfigFile.h"
+#include "OgrePrerequisites.h"
+
+#include "Orxonox_prerequisites.h"
 
 
-#if OGRE_PLATFORM == OGRE_PLATFORM_APPLE
-#include <CoreFoundation/CoreFoundation.h>
-#endif
+namespace Orxonox {
 
-using namespace Ogre;
+  class OgreControl
+  {
+  public:
+	  OgreControl();
 
-class OgreControl
-{
-public:
-	OgreControl();
+	  virtual ~OgreControl();
 
-	virtual ~OgreControl();
+	  /** Sets up the application - returns false if the user chooses to abandon configuration. */
+	  virtual bool initialise();
 
-	/** Sets up the application - returns false if the user chooses to abandon configuration. */
-	virtual bool initialise();
+    virtual Ogre::Root* getRoot();
 
-	virtual Root* getRoot();
+	  virtual Ogre::RenderWindow* getRenderWindow();
 
-	virtual RenderWindow* getRenderWindow();
+	  virtual Ogre::String getResourcePath();
 
-	virtual Ogre::String getResourcePath();
+  protected:
+	  /** Configures the application - returns false if the user chooses to abandon configuration. */
+	  virtual bool configure(void);
 
-protected:
-	/** Configures the application - returns false if the user chooses to abandon configuration. */
-	virtual bool configure(void);
+	  /// Method which will define the source of resources (other than current folder)
+	  virtual void setupResources(void);
 
-	/// Method which will define the source of resources (other than current folder)
-	virtual void setupResources(void);
+  protected:
+	  Ogre::Root         *root_;
+	  Ogre::RenderWindow *window_;
+	  Ogre::String  resourcePath_;
 
-protected:
-	Root         *root_;
-	RenderWindow *window_;
-	Ogre::String  resourcePath_;
+  };
 
-};
+}
 
 #endif /* OGRE_CONTROL_H */
Index: code/branches/main_reto_vs05/include/orxonox_prerequisites.h
===================================================================
--- code/branches/main_reto_vs05/include/orxonox_prerequisites.h	(revision 161)
+++ code/branches/main_reto_vs05/include/orxonox_prerequisites.h	(revision 161)
@@ -0,0 +1,46 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software: you can redistribute it and/or modify
+ *   it under the terms of the GNU General Public License as published by
+ *   the Free Software Foundation, either version 3 of the License, or
+ *   (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+
+#ifndef ORXONOX_PREREQUISITES_H
+#define ORXONOX_PREREQUISITES_H
+
+namespace Orxonox {
+
+  class AmmunitionDump;
+  class Bullet;
+  class CameraManager;
+  class OgreControl;
+  class Orxonox;
+  class OrxonoxShip;
+  class OrxonoxScene;
+  class RunManager;
+  class WeaponManager;
+
+}
+
+#endif /* ORXONOX_PREREQUISITES_H */
Index: code/branches/main_reto_vs05/include/orxonox_scene.h
===================================================================
--- code/branches/main_reto_vs05/include/orxonox_scene.h	(revision 159)
+++ code/branches/main_reto_vs05/include/orxonox_scene.h	(revision 161)
@@ -30,36 +30,41 @@
 #define ORXONOX_SCENE_H
 
-#include "Ogre.h"
+#include "OgrePrerequisites.h"
 
-using namespace Ogre;
+#include "Orxonox_prerequisites.h"
 
-class OrxonoxScene
-{
-public:
-	OrxonoxScene(SceneManager*);
 
-	virtual ~OrxonoxScene();
+namespace Orxonox {
 
-	virtual bool initialise();
+  class OrxonoxScene
+  {
+  public:
+    OrxonoxScene(Ogre::SceneManager*);
 
-	virtual bool tick(unsigned long, Real);
+	  virtual ~OrxonoxScene();
 
-protected:
-	/// method where you can perform resource group loading
-	virtual void loadResources();
+	  virtual bool initialise();
 
-	/// Define what is in the scene
-	virtual void createScene();
+	  virtual bool tick(unsigned long, Ogre::Real);
 
-protected:
-	SceneManager* sceneMgr_;
+  protected:
+	  /// method where you can perform resource group loading
+	  virtual void loadResources();
 
-	//specific variables for test purposes
-	Light        *light_;
-	SceneNode    *lightNode_;
-	BillboardSet *bbs_;
-	Real distance_;
-  Real radius_;
-};
+	  /// Define what is in the scene
+	  virtual void createScene();
+
+  protected:
+	  Ogre::SceneManager* sceneMgr_;
+
+	  //specific variables for test purposes
+	  Ogre::Light        *light_;
+	  Ogre::SceneNode    *lightNode_;
+	  Ogre::BillboardSet *bbs_;
+	  Ogre::Real distance_;
+    Ogre::Real radius_;
+  };
+
+}
 
 #endif /* ORXONOX_SCENE_H */
Index: code/branches/main_reto_vs05/include/orxonox_ship.h
===================================================================
--- code/branches/main_reto_vs05/include/orxonox_ship.h	(revision 159)
+++ code/branches/main_reto_vs05/include/orxonox_ship.h	(revision 161)
@@ -30,46 +30,48 @@
 #define ORXONOX_SHIP_H
 
-#include "Ogre.h"
+#include "OgrePrerequisites.h"
 
-#include "bullet.h"
-
-using namespace Ogre;
-
-class OrxonoxShip
-{
-public:
-	OrxonoxShip(SceneManager*, SceneNode*);
-	virtual ~OrxonoxShip();
-
-	virtual bool initialise();
-
-	void setMainThrust(const Real);
-	void setSideThrust(const Real);
-  void setYThrust(const Real);
-	void turnUpAndDown(const Radian&);
-	void turnLeftAndRight(const Radian&);
-
-  SceneNode* getRootNode();
-  Vector3 getSpeed();
-
-	Bullet* fire();
-
-	bool tick(unsigned long, Real);
-
-protected:
-
-protected:
-	SceneManager *sceneMgr_;
-	SceneNode *rootNode_;
-	Entity *shipEntity_;
-
-	Vector3 currentSpeed_;  // relative to space
-	Vector3 currentThrust_; // relative to the ship
-  Real baseThrust_;
-	int objectCounter_;
-	Vector3 bulletSpeed_;
-
-};
+#include "Orxonox_prerequisites.h"
 
 
+namespace Orxonox {
+
+  class OrxonoxShip
+  {
+  public:
+	  OrxonoxShip(Ogre::SceneManager*, Ogre::SceneNode*);
+	  virtual ~OrxonoxShip();
+
+	  virtual bool initialise();
+
+	  void setMainThrust(const Ogre::Real);
+	  void setSideThrust(const Ogre::Real);
+    void setYThrust(const Ogre::Real);
+	  void turnUpAndDown(const Ogre::Radian&);
+	  void turnLeftAndRight(const Ogre::Radian&);
+
+    Ogre::SceneNode* getRootNode();
+    Ogre::Vector3 getSpeed();
+
+	  Bullet* fire();
+
+	  bool tick(unsigned long, Ogre::Real);
+
+  protected:
+
+  protected:
+	  Ogre::SceneManager *sceneMgr_;
+	  Ogre::SceneNode *rootNode_;
+	  Ogre::Entity *shipEntity_;
+
+	  Ogre::Vector3 currentSpeed_;  // relative to space
+	  Ogre::Vector3 currentThrust_; // relative to the ship
+    Ogre::Real baseThrust_;
+	  int objectCounter_;
+	  Ogre::Vector3 bulletSpeed_;
+
+  };
+
+}
+
 #endif /* ORXONOX_SHIP_H */
Index: code/branches/main_reto_vs05/include/run_manager.h
===================================================================
--- code/branches/main_reto_vs05/include/run_manager.h	(revision 159)
+++ code/branches/main_reto_vs05/include/run_manager.h	(revision 161)
@@ -30,97 +30,93 @@
 #define RUN_MANAGER_H
 
-#include "Ogre.h"
-#include "OgreStringConverter.h"
-#include "OgreException.h"
+#include "OgrePrerequisites.h"
+#include "OgreWindowEventUtilities.h"
+#include "OgreTextureManager.h"
 
-#include "ogre_control.h"
-#include "orxonox_scene.h"
-#include "orxonox_ship.h"
+#include <OIS/OISPrereqs.h>
+
+#include "Orxonox_prerequisites.h"
 
 
-//Use this define to signify OIS will be used as a DLL
-//(so that dll import/export macros are in effect)
-#define OIS_DYNAMIC_LIB
-#include <OIS/OIS.h>
+namespace Orxonox {
 
-using namespace Ogre;
+  // let the class inherit from WindowEventListener in order for the RunMgr
+  // to act as the central point of all the calcuations in Orxonox
+  class RunManager : Ogre::WindowEventListener
+  {
+  public:
+	  RunManager(OgreControl*);
+
+	  virtual ~RunManager();
+
+    virtual bool tick(unsigned long, Ogre::Real);
+
+  protected:
+	  virtual void createCamera(void);
+
+	  virtual void createViewports(void);
 
 
-// let the class inherit from WindowEventListener in order for the RunMgr
-// to act as the central point of all the calcuations in Orxonox
-class RunManager : WindowEventListener
-{
-public:
-	RunManager(OgreControl*);
+	  /** EVENT HANDLING **/
 
-	virtual ~RunManager();
+	  //Adjust mouse clipping area
+	  virtual void windowResized(Ogre::RenderWindow*);
 
-	virtual bool tick(unsigned long, Real);
-
-protected:
-	virtual void createCamera(void);
-
-	virtual void createViewports(void);
+	  //Unattach OIS before window shutdown (very important under Linux)
+	  virtual void windowClosed(Ogre::RenderWindow*);
 
 
-	/** EVENT HANDLING **/
+	  /** INPUT PROCESSING **/
+	  virtual bool processUnbufferedKeyInput();
 
-	//Adjust mouse clipping area
-	virtual void windowResized(RenderWindow*);
-
-	//Unattach OIS before window shutdown (very important under Linux)
-	virtual void windowClosed(RenderWindow*);
+	  virtual bool processUnbufferedMouseInput();
 
 
-	/** INPUT PROCESSING **/
-	virtual bool processUnbufferedKeyInput();
+	  /** OUTPUT **/
 
-	virtual bool processUnbufferedMouseInput();
+	  virtual void updateStats(void);
 
+	  virtual void showDebugOverlay(bool);
 
-	/** OUTPUT **/
+  protected:
+	  Ogre::SceneManager *sceneMgr_;
+	  Ogre::RenderWindow *window_;
+	  Ogre::Camera       *camera_;
+	  OgreControl  *ogre_;
+	  OrxonoxScene *backgroundScene_;
+	  OrxonoxShip  *playerShip_;
 
-	virtual void updateStats(void);
+	  bool statsOn_;
+	  std::string debugText_;
 
-	virtual void showDebugOverlay(bool);
+	  unsigned int screenShotCounter_;
+	  // just to stop toggles flipping too fast
+	  Ogre::Real timeUntilNextToggle_;
+	  bool leftButtonDown_;
+	  Ogre::TextureFilterOptions filtering_;
+	  int aniso_;
 
-protected:
-	OgreControl  *ogre_;
-	SceneManager *sceneMgr_;
-	RenderWindow *window_;
-	OrxonoxScene *backgroundScene_;
-	Camera       *camera_;
-	OrxonoxShip  *playerShip_;
+	  int sceneDetailIndex_;
+	  Ogre::Overlay* debugOverlay_;
 
-	bool statsOn_;
-	std::string debugText_;
+	  //OIS Input devices
+	  OIS::InputManager* inputManager_;
+	  OIS::Mouse*    mouse_;
+	  OIS::Keyboard* keyboard_;
+	  OIS::JoyStick* joystick_;
 
-	unsigned int screenShotCounter_;
-	// just to stop toggles flipping too fast
-	Real timeUntilNextToggle_;
-	bool leftButtonDown_;
-	TextureFilterOptions filtering_;
-	int aniso_;
+    const Ogre::Real mouseSensitivity_;
 
-	int sceneDetailIndex_;
-	Overlay* debugOverlay_;
+    // Bullet array
+	  Bullet **bullets_;
+	  int bulletsSize_;
+	  int bulletsIndex_;
 
-	//OIS Input devices
-	OIS::InputManager* inputManager_;
-	OIS::Mouse*    mouse_;
-	OIS::Keyboard* keyboard_;
-	OIS::JoyStick* joystick_;
+	  // previously elapsed render time
+	  unsigned long totalTime_;
 
-  const Real mouseSensitivity_;
+  };
 
-  // Bullet array
-	Bullet **bullets_;
-	int bulletsSize_;
-	int bulletsIndex_;
-
-	// previously elapsed render time
-	unsigned long totalTime_;
-
-};
+}
 
 #endif /* RUN_MANAGER_H */
Index: code/branches/main_reto_vs05/include/weapon_manager.h
===================================================================
--- code/branches/main_reto_vs05/include/weapon_manager.h	(revision 159)
+++ code/branches/main_reto_vs05/include/weapon_manager.h	(revision 161)
@@ -30,18 +30,22 @@
 #define WEAPON_MANAGER_H
 
-#include "Ogre.h"
+#include "OgrePrerequisites.h"
 
-using namespace Ogre;
-
-class WeaponManager
-{
-public:
-	WeaponManager(SceneManager*);
-	virtual ~WeaponManager();
-
-protected:
-
-};
+#include "Orxonox_prerequisites.h"
 
 
+namespace Orxonox {
+
+  class WeaponManager
+  {
+  public:
+    WeaponManager(Ogre::SceneManager*);
+	  virtual ~WeaponManager();
+
+  protected:
+
+  };
+
+}
+
 #endif /* WEAPON_MANAGER_H */
